Package org.flowable.dmn.model

# Class DecisionService

java.lang.Object
org.flowable.dmn.model.DmnElement
org.flowable.dmn.model.NamedElement
org.flowable.dmn.model.DRGElement
org.flowable.dmn.model.Invocable
org.flowable.dmn.model.DecisionService

public class DecisionService extends Invocable

Author:
  Yvo Swillens

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected DmnDefinition`
  `dmnDefinition`
  `protected List<DmnElementReference>`
  `encapsulatedDecisions`
  `protected List<DmnElementReference>`
  `inputData`
  `protected List<DmnElementReference>`
  `inputDecisions`
  `protected List<DmnElementReference>`
  `outputDecisions`

  ### Fields inherited from class org.flowable.dmn.model.NamedElement

  `name`

  ### Fields inherited from class org.flowable.dmn.model.DmnElement

  `attributes, description, extensionElements, id, label`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DecisionService()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addEncapsulatedDecision(DmnElementReference encapsulatedDecision)`
  `void`
  `addInputData(DmnElementReference inputData)`
  `void`
  `addInputDecision(DmnElementReference inputDecision)`
  `void`
  `addOutputDecision(DmnElementReference outputDecision)`
  `DmnDefinition`
  `getDmnDefinition()`
  `List<DmnElementReference>`
  `getEncapsulatedDecisions()`
  `List<DmnElementReference>`
  `getInputData()`
  `List<DmnElementReference>`
  `getInputDecisions()`
  `List<DmnElementReference>`
  `getOutputDecisions()`
  `void`
  `setDmnDefinition(DmnDefinition dmnDefinition)`
  `void`
  `setEncapsulatedDecisions(List<DmnElementReference> encapsulatedDecisions)`
  `void`
  `setInputData(List<DmnElementReference> inputData)`
  `void`
  `setInputDecisions(List<DmnElementReference> inputDecisions)`
  `void`
  `setOutputDecisions(List<DmnElementReference> outputDecisions)`

  ### Methods inherited from class org.flowable.dmn.model.NamedElement

  `getName, setName`

  ### Methods inherited from class org.flowable.dmn.model.DmnElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getDescription, getExtensionElements, getId, getLabel, setAttributes, setDescription, setExtensionElements, setId, setLabel, setValues`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### outputDecisions

    protected List<DmnElementReference> outputDecisions

  - ### encapsulatedDecisions

    protected List<DmnElementReference> encapsulatedDecisions

  - ### inputDecisions

    protected List<DmnElementReference> inputDecisions

  - ### inputData

    protected List<DmnElementReference> inputData

  - ### dmnDefinition

    protected DmnDefinition dmnDefinition

- ## Constructor Details

  - ### DecisionService

    public DecisionService()

- ## Method Details

  - ### getOutputDecisions

    public List<DmnElementReference> getOutputDecisions()

  - ### setOutputDecisions

    public void setOutputDecisions(List<DmnElementReference> outputDecisions)

  - ### addOutputDecision

    public void addOutputDecision(DmnElementReference outputDecision)

  - ### getEncapsulatedDecisions

    public List<DmnElementReference> getEncapsulatedDecisions()

  - ### setEncapsulatedDecisions

    public void setEncapsulatedDecisions(List<DmnElementReference> encapsulatedDecisions)

  - ### addEncapsulatedDecision

    public void addEncapsulatedDecision(DmnElementReference encapsulatedDecision)

  - ### getInputDecisions

    public List<DmnElementReference> getInputDecisions()

  - ### setInputDecisions

    public void setInputDecisions(List<DmnElementReference> inputDecisions)

  - ### addInputDecision

    public void addInputDecision(DmnElementReference inputDecision)

  - ### getInputData

    public List<DmnElementReference> getInputData()

  - ### setInputData

    public void setInputData(List<DmnElementReference> inputData)

  - ### addInputData

    public void addInputData(DmnElementReference inputData)

  - ### getDmnDefinition

    public DmnDefinition getDmnDefinition()

  - ### setDmnDefinition

    public void setDmnDefinition(DmnDefinition dmnDefinition)